QGIS Application - Bug report #1106
Unable to edit PostGIS layers with case sensitive attribute names
2008-05-23 02:18 PM - 5tr238 -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11166
Description

There is no way how to edit data in [[PostGIS]] tables using the case sensitive attribute names. The only thing needed to be done to fix
this is to enclose each attribute name into the double quotation as the table name already is.

History

#1 - 2008-05-23 03:19 PM - Jiirgen Fischer

Please supply an example table which you can't edit. Following table works for me:

CREATE TABLE "FooBarBaz" (
"MixedCaseld" integer NOT NULL PRIMARY KEY,
"MixedCaseAttribute1" integer,
"MixedCaseAttribute2" character varying,

" "m

"l can't imagine ""attribute names

);
SELECT addgeometrycolumn('public','FooBarBaz','MixedCaseGeometryColumn',4326,'LINESTRING',2);

that qgis doesn't support" double precision

#2 - 2008-05-23 03:41 PM - str238 -
- Resolution set to fixed

- Status changed from Open to Closed

You are absolutelly right. Sorry for submitting non-existing bug. | is probably my sleep deficit. | upgraded to the 1.0 just today, so maybe | mixed in some
older stuff. Is that enough to mark this bug resolved as: invalid or wontfix ?

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
